Loading...
Searching...
No Matches
alignment.h File Reference
`#include "platform.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`
`#include "utility.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

class | etl::alignment_exception
| Exception base for alignment. More...
class | etl::alignment_error
| Memory misalignment exception. More...
class | etl::typed_storage_error
| Typed storage exception. More...
class | etl::private_alignment::type_with_alignment_matcher< true, Alignment, T1, T2, T3, T4, T5, T6, T7, T8 >
class | etl::private_alignment::type_with_alignment_matcher< false, Alignment, T1, T2, T3, T4, T5, T6, T7, T8 >
class | etl::private_alignment::type_with_alignment_matcher< false, Alignment, void, void, void, void, void, void, void, void >
class | etl::private_alignment::type_with_alignment_helper< Alignment, T1, T2, T3, T4, T5, T6, T7, T8 >
class | etl::type_with_alignment< Alignment >
struct | etl::aligned_storage< Length, Alignment >
struct | etl::aligned_storage< Length, Alignment >::type
struct | etl::aligned_storage_as< Length, T >
class | etl::typed_storage< T >
class | etl::typed_storage_ext< T >

## Namespaces

namespace | etl

## Functions

bool | etl::is_aligned (const void *p, size_t required_alignment)
| Check that 'p' has 'required_alignment'.
template<size_t Alignment>
bool | etl::is_aligned (const void *p)
| Check that 'p' has 'Alignment'.
template<typename T>
bool | etl::is_aligned (const void *p)
| Check that 'p' has the alignment of 'T'.
template<typename T>
ETL_CONSTEXPR14 void | etl::swap (etl::typed_storage_ext< T > &lhs, etl::typed_storage_ext< T > &rhs) ETL_NOEXCEPT
| Swap two etl::typed_storage_ext.